{
  "manifest_version": 2,
  "name": "__MSG_extensionName__",
  "description": "__MSG_extensionDescription__",
  "version": "4.6.51",
  "author": "Lorenz Froihofer: support for TB >= 3.0, since Dec. 2009, Klaus Bücher since TB 78",
  "homepage_url": "https://github.com/xnotepp/xnote/wiki",
  "browser_specific_settings": {
    "gecko": {
      "id": "xnote@froihofer.net",
      "strict_min_version": "115.0",
      "strict_max_version": "143.*"
    }
  },
  "default_locale" : "en_US",

  "icons": {
    "32": "chrome/skin/icon32.png"
  },

  "browser_action": {
    "default_title": "XNote++",
    "default_icon": "chrome/skin/icon32.png"
	},

  "options_ui": {
    "page": "options/options.html"
  },


	"commands": {
		"openXNoteWindow": {
		  "suggested_key": {
			"default": "Alt+M"
		  },
		  "description": "open XNote Window"
		},
    "getOldXNotes": {
		  "suggested_key": {
			"default": "Alt+T"
		  },
		  "description": "load XNotes"
		}

	  },


  "permissions": ["activeTab", "tabs",  "storage", "unlimitedStorage", "messagesRead", "messagesModify", 
          "messagesUpdate", "clipboardWrite", "accountsRead", "notifications"],

  "background": {
    "scripts": ["xn-background.js"]
  },

  "experiment_apis": {
    "WindowListener": {
      "schema": "experiment-apis/WindowListener/schema.json",
      "parent": {
        "scopes": ["addon_parent"],
        "paths": [["WindowListener"]],
        "script": "experiment-apis/WindowListener/implementation.js"
      }
    },
 
    "NotifyTools": {
      "schema": "experiment-apis/NotifyTools/schema.json",
      "parent": {
        "scopes": ["addon_parent"],
        "paths": [["NotifyTools"]],
        "script": "experiment-apis/NotifyTools/implementation.js"
      }
    },

    "xnoteapi": {
      "schema": "experiment-apis/xnote/xnote-experiments.json",
      "parent": {
        "scopes": ["addon_parent"],
        "paths": [["xnoteapi"]],
        "script": "experiment-apis/xnote/xnote-experiments.js"
       }
    },
    
    "xnotefiles": {
      "schema": "experiment-apis/files/files-api.json",
      "parent": {
        "scopes": ["addon_parent"],
        "paths": [["xnotefiles"]],
        "script": "experiment-apis/files/files-api.js"
       }
    },

    

		"customColumn": {
			"schema": "experiment-apis/customColumn/schema.json",
			"parent": {
			  "scopes": [
				"addon_parent"
			  ],
			  "paths": [
				[
				  "customColumn"
				]
			  ],
			  "script": "experiment-apis/customColumn/implementation.js"
			}
		  }

  }
}
